Subject: kernel scalability

From: Anil Gunturu <[email-masked]>
Date: Wed, 3 Nov 2004 23:17:01 -0800

Hi,
We are porting linux kernel (2.4.18) for an embdded device that
supports a large number of logical interfaces (upto 200) and routes
(4000). There are only two physical ethernet interfaces, but we are
planning to add multiple ip addresses and routes using the "ip"
utility from iproute2 package. Just wondering if there are any
scalability issues in doing so as far as the kernel is concerned.
Thanks for your help,
-Anil